ubuntu/+source/gutenprint:ubuntu/raring

Last commit made on 2012-07-11
Get this branch:
git clone -b ubuntu/raring https://git.launchpad.net/ubuntu/+source/gutenprint
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
ubuntu/raring
Repository:
lp:ubuntu/+source/gutenprint

Recent commits

c919428... by Till Kamppeter on 2012-07-11

Import patches-unapplied version 5.2.9-1ubuntu1 to ubuntu/quantal

Imported using git-ubuntu import.

Changelog parent: 2b84ad8fed1a3eb67abcb5c39a7fb7be3e647a50

New changelog entries:
  * Merge from Debian unstable. Remaining changes:
    - debian/printer-driver-gutenprint.ppd-updater,
      debian/foomatic-db-gutenprint.ppd-updater,
      debian/printer-driver-gutenprint.postinst,
      debian/printer-driver-gutenprint.install.in,
      debian/foomatic-db-gutenprint.install.in,
      debian/rules:
      Use the PPD updater script of the cups package to update the PPD files
      (in /etc/cups/ppd/) of all already existing print queues using this
      driver when updating this package. In contrary to Gutenprint's own
      cups-genppdupdate the script of the cups package can also migrate PPD
      files. In our case we migrate Foomatic/IJS PPD files to the equivalent
      PPDs using the CUPS Raster driver of Gutenprint and we replace simplified
      PPD files by the corresponding standard PPDs, as we discontinue the
      simplified PPDs in Ubuntu to reduce the delta to Debian and to make
      printer model/driver listings in printer setup tools less cluttered.
      printer-driver-gutenprint.postinst is not needed any more and therefore
      removed.
    - debian/control: Removed dependency on perl, all what is needed from Perl
      is in perl-base.
    - debian/ubuntu/apport-hook.py, debian/rules: Install Apport hook if the
      package is built under Ubuntu (decides via "dpkg-vendor").
    - debian/control: Added transitional package ijsgutenprint-ppds. The
      Ubuntu-only package with this name got dropped in favor of migrating
      users of the IJS flavor of Gutenprint to the CUPS Raster flavor.

2b84ad8... by Roger Leigh on 2012-07-09

Import patches-unapplied version 5.2.9-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 085790ca5de5e39417dcfb80692bb59eac1447fc

New changelog entries:
  * New upstream stable release.
  * Drop patches against 5.2.8-1 to correct library versioning and
    linking, which have been incorporated upstream.

085790c... by Roger Leigh on 2012-06-21

Import patches-unapplied version 5.2.8-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 5ff6f3dc248821715e4f62bd1afd06d1e62b8a8d

New changelog entries:
  * New upstream stable release.
  * debian/README.building: Document git workflow.
  * debian/control:
    - Upgrade Standards-Version to 3.9.3
    - Require debhelper >= 9.
  * debian/rules:
    - Re-enable NLS with --enable-nls.
  * printer-driver-gutenprint no longer installs profile.jpg.
  * Re-enable NLS with --enable-nls.

5ff6f3d... by Roger Leigh on 2012-02-04

Import patches-unapplied version 5.2.7-5 to debian/sid

Imported using git-ubuntu import.

Changelog parent: f9c1cbc1212a50c8d3c4ee730d1c7b024f1d63b9

New changelog entries:
  * Apply patch to fix cups-genppd on Linux (and all non-Apple)
    platforms by not using Apple-specific paths for ICC profiles.
    The patch removes all ICC profile information from the
    generated PPDs (Closes: #625925). Thanks to Julien Cristau
    for the patch.

f9c1cbc... by Roger Leigh on 2011-12-29

Import patches-unapplied version 5.2.7-4 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 1c23e0991302702d19c2536ea4b45a57e17dae64

New changelog entries:
  * printer-driver-gutenprint has versioned Conflicts and Replaces
    on cups-driver-gutenprint (Closes: 651507).
  * Remove printer-driver-gutenprint preinst, and remove parts of the
    postinst and postrm; the migration and cleanup tasks were done for
    oldstable upgrades, and are no longer required.
  * printer-driver-gutenprint Description matches the printing team
    template.

1c23e09... by Roger Leigh on 2011-11-26

Import patches-unapplied version 5.2.7-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: dd75ff6e0e5b91296878eca2411146d4ddd9dd0a

New changelog entries:
  * Add printer-driver-gutenprint package to replace
    cups-driver-gutenprint. cups-driver-gutenprint is a
    transitional package.
  * debian/control: Use multiline dependencies.

dd75ff6... by Roger Leigh on 2011-07-23

Import patches-unapplied version 5.2.7-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: cb5d796bb812e7fc4bab0e5ccb413e3baa07476e

New changelog entries:
  * Set libdir correctly.
  * New upstream stable release.
  * Upgrade to Standards Version 3.9.2 (no changes).
  * Drop inactive maintainers from Uploaders.
  * Use dh from debhelper for building.
  * Use multiarch paths.

cb5d796... by Roger Leigh on 2010-08-15

Import patches-unapplied version 5.2.6-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: ff1e279e0b2254a767d9ba922ba6724048859afb

New changelog entries:
  * New upstream stable release.
  * Use source format 3.0 (quilt), drop dpatch support.
  * Upgrade to Standards Version 3.9.1 (no changes).
  * Drop unused --with-ijs configure argument.
  * debian/rules install-stamp rule depends on build-stamp
    rather than build (which is phony).

ff1e279... by Roger Leigh on 2010-02-18

Import patches-unapplied version 5.2.5-1 to debian/squeeze

Imported using git-ubuntu import.

Changelog parent: 118504fe883757725a1682d6a82628b89eef795e

New changelog entries:
  * New upstream stable release.
  * debian/control:
    - Update to standards version 3.8.4.
    - Build-Depend on libreadline-dev.
    - Use ${misc:Depends}.

118504f... by Roger Leigh on 2009-08-02

Import patches-unapplied version 5.2.4-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: b7c1b6265791282630156f20fb4cbe76774e7a78

New changelog entries:
  [ Roger Leigh ]
  * New upstream stable release.
  * cups-driver-gutenprint: Depend on ghostscript-cups, required for
    Postscript/PDF printing.